import mongoose from 'mongoose'

const ErrorLogSchema = new mongoose.Schema({
  message: { type: String, required: true },
  stack: { type: String },
  path: { type: String },
  method: { type: String },
  query: { type: Object },
  body: { type: Object },
  createdAt: { type: Date, default: Date.now },
})

// Индекс для быстрого поиска по дате создания
ErrorLogSchema.index({ createdAt: 1 })

export const ErrorLog = mongoose.model('ErrorLog', ErrorLogSchema) 